# Hugo output directory
public/

# Cache and temporary files
resources/_gen/
resources/_gen_assets/
resources/_gen_images/
resources/_gen_static/

# Ignore any other Hugo-generated or build-related files
resources/_gen_data/
resources/_gen_media/

# Hugo config file
# config.toml

# Exclude any local development files (customize this as needed)
.DS_Store
Thumbs.db

# Ignore log files
*.log

# Ignore certain editor/IDE specific files
.vscode/
.idea/

# Ignore node_modules (if you're using npm/yarn)
node_modules/

# Ignore other development and build artifacts
.sass-cache/
.cache/
.vagrant/
.terraform/

# Ignore compiled binaries
*.exe
*.dll
*.so
*.dylib

# Temporary lock file while building
/.hugo_build.lock